Entwurf BézKurve

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft BezCurve and the translation is 94% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft BezCurve.svg Entwurf BezKurve

Menüeintrag
Entwurf → Bézierwerkzeuge → BézKurve
Arbeitsbereich
Entwurf, Architektur
Standardtastenkürzel
Keiner
Eingeführt in Version
0.14
Siehe auch
Entwurf KubischeBezKurve, Entwurf BSpline

Beschreibung

Der Draft BezCurve.svg Entwurf BezKurve Befehl erstellt eine Bézierkurve aus einigen Punkten.

Der Befehl erstellt eine einzelne Bézierkurve mit einem DatenGrad der Anzahl_der_Punkte - 1 ist. Es kann in eine stückweise Bézierkurve durch reduzieren dieser Eigenschaft geändert werden.

Der Entwurf BezKurve und Entwurf KubischeBezKurve Befehl verwendet Kontrollpunkte, um die Position und Krümmung des Splines zu definieren. Der Entwurf BSpline Befehl andererseits legt die exakten Punkte fest, durch die die Kurve verlaufen soll.

Draft BezCurve Example.png

Bézierkurve definiert durch mehrere Punkte

Anwendung

Siehe auch: Entwurf Ablage, Entwurf Fang und Entwurf beschränken.

  1. Es gibt mehrere Wege, den Befehl aufzurufen:
    • Drücke die Draft BezCurve.svg Entwurf BezKurve Schaltfläche.
    • Wähle die Entwurf → Bézier Werkzeuge → Draft BezCurve.svg Bézier Kurve Option aus dem Menü.
  2. Das Bézier Kurve Aufgabenpaneel wird geöffnet. Siehe Optionen für weitere Informationen.
  3. Nimm den ersten Punkt in der 3D Ansicht oder gib die Koordinaten ein und drücke die Draft AddPoint.svg Punkt eingeben Schaltfläche.
  4. Nimm weitere Punkte in der 3D Ansicht oder gib die Koordinaten ein und drücke die Draft AddPoint.svg Punkt eingeben Schaltfläche.
  5. Drücke Esc oder die Schließen Schaltfläche zum Beenden des Befehls.

Optionen

Die im Aufgabenpaneel verfügbaren Einzelzeichen Tastaturkürzel können geändert werden. Siehe Entwurf Einstellungen. Die hier genannten Tastenkürzel sind die Standardtastenkürzel.

  • Um die Koordinaten manuell einzugeben, gib die X, Y und Z Komponente ein und drücke nach jeder Eingabe Eingabe. Oder du kannst die Draft AddPoint.svg Punkt eingeben Schaltfläche drücken, wenn du die gewünschten Werte hast. Es ist ratsam, vor der Eingabe der Koordinaten, den Mauszeiger aus der 3D Ansicht zu bewegen.
  • Drücke R oder klicke auf das Kontrollkästchen Relativ, um den relativen Modus einzuschalten. Wenn der relative Modus eingeschaltet ist, sind die Koordinaten relativ zum letzten Punkt, falls vorhanden, ansonsten relativ zum Ursprung des Koordinatensystems.
  • Drücke G oder klicke auf das Kontrollkästchen Global, um den globalen Modus umzuschalten. Wenn der globale Modus eingeschaltet ist, sind die Koordinaten relativ zum globalen Koordinatensystem, ansonsten sind sie relativ zum Koordinatensystem der Arbeitsebene. introduced in version 0.20
  • Drücke L oder klicke auf das Kontrollkästchen Gefüllt, um den gefüllten Modus umzuschalten. Wenn der Füllmodus eingeschaltet ist, hat die erzeugte Kurve DatenMache Fläche auf true gesetzt und hat eine gefüllte Fläche, vorausgesetzt, sie ist geschlossen und schneidet sich nicht selbst. Beachte, dass eine sich selbst schneidende Kurve mit einer Fläche nicht richtig angezeigt wird, für eine solche Kurve muss DatenMache Fläche auf false gesetzt werden.
  • Drücke T oder klicke auf das Kontrollkästchen Weiter, um den Fortsetzungsmodus umzuschalten. Wenn der Fortsetzungsmodus eingeschaltet ist, wird der Befehl nach Betätigung von Draft FinishLine.svg Beenden oder Draft CloseLine.svg Schließen, oder nach dem Erstellen einer geschlossenen Kurve, durch fangen des ersten Punkts der Kurve, kannst du mit dem Erstellen von Kurven fortfahren.
  • Drücke die Draft UndoLine.svg Rückgängig Schaltfläche, um den letzten Punkt rückgängig zu machen. Das Strg+Z Tastaturkürzel funktioniert derzeit nicht.
  • Drücke A oder die Draft FinishLine.svg Fertigstellen Schaltfläche, um den Befehl zu beenden und die Kurve offen zu lassen.
  • Drücke O oder die Draft CloseLine.svg Schließen Schaltfläche, um den Befehl zu beenden und die Kurve zu schließen. Eine geschlossene Kurve kann auch durch Fangen am ersten Punkt der Kurve erstellt werden.
  • Drücke W oder die Draft Wipe.svg Wischen Taste, um die bereits platzierten Segmente zu löschen, aber vom letzten Punkt aus weiterzuarbeiten.
  • Drücke die U oder den Draft SelectPlane.svg Festelegen AE, um die aktuelle Arbeitsebene in der durch den letzten und den vorherigen Punkt definierten Ausrichtung anzupassen.
  • Drücke S um Entwurf Fangen ein- oder auszuschalten.
  • Drücke Esc oder die Schaltfläche Schliessen, um den Befehl zu beenden.

Hinweise

  • Eine Entwurf BezKurve kann mit dem Befehl Entwurf Bearbeiten bearbeitet werden.
  • OpenCascade, und dadurch FreeCAD, unterstützt keine Bézierkurven mit einem Grad größer als 25. Dies sollte in der Praxis kein Problem sein, weil die meisten Benutzer typischerweise Bézierkurven vom Grad 3 bis 5 verwenden.

Einstellungen

Siehe auch: Einstellungseditor und Entwurf Einstellungen.

  • Um die Anzahl der Dezimalstellen, die bei der Eingabe von Koordinaten verwendet werden: Bearbeiten → Einstellungen... → Allgemein → Einheiten → Einheiteneinstellungen → Anzahl der Dezimalstellen.
  • Um den Anfangswert des Füllmodus zu ändern: Bearbeiten → Einstellungen... → Entwurf → Allgemeine Einstellungen → Entwurf Werkzeuge Optionen → Objekte mit Flächen füllen, wann immer möglich. Ändern des Füllmodus in einem Aufgabenpaneel, wird diese Einstellung für die aktuelle FreeCAD Sitzung überschreiben.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Entwurf BezKurve Objekt wird von einem Part Part2DObject abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Entwurf

  • DatenArea (Area): (schreibgeschützt) gibt die Fläche der Kurvenfläche an. Der Wert ist 0.0, wenn DatenMake Face auf false steht oder die Fläche nicht erstellt werden kann.
  • DatenClosed (Bool): gibt an, ob die Kurve geschlossen ist oder nicht. Wenn die Kurve anfänglich offen ist, ist dieser Wert false, wenn er auf true gesetzt wird, wird ein Segment gezeichnet, um die Kurve zu schließen. Wenn die Kurve anfänglich geschlossen ist, ist dieser Wert true, wenn er auf false gesetzt wird, wird das letzte Segment entfernt und die Kurve wird offen.
  • DatenContinuity (IntegerList): (schreibgeschützt) gibt die Kontinuität der Kurve an.
  • DatenDegree (Integer): gibt den Grad der Kurve an.
  • DatenLength (Länge): (schreibgeschützt) gibt die Gesamtlänge der Kurve an.
  • DatenMake Face (Bool): legt fest, ob die Kurve eine Fläche bildet oder nicht. Wenn sie true ist, wird eine Fläche erzeugt, ansonsten wird nur der Umfang als Teil des Objekts betrachtet. Diese Eigenschaft funktioniert nur, wenn DatenClosed true ist und wenn die Kurve sich nicht selbst schneidet.
  • DatenPoints (VectorList): gibt die Kontrollpunkte der Kurve in ihrem lokalen Koordinatensystem an.

Ansicht

Entwurf

  • AnsichtPfeilgröße (Länge): legt die Größe des Symbols fest, das am Ende der Kurve angezeigt wird.
  • AnsichtPfeiltyp (Aufzählung): gibt den Typ des am Ende der Kurve angezeigten Symbols an, der Dot, Circle, Arrow, Tick oder Tick-2 sein kann.
  • AnsichtEnd Arrow (Bool): gibt an, ob am Ende der Kurve ein Symbol angezeigt werden soll, damit sie als Anmerkungslinie verwendet werden kann.
  • AnsichtPattern (Enumeration): legt das Draft Pattern fest, mit dem die Fläche der geschlossenen Kurve gefüllt werden soll. Diese Eigenschaft funktioniert nur, wenn DatenMake Face true ist und wenn AnsichtDisplay Mode Flat Lines ist.
  • AnsichtPattern Size (Float): legt die Größe des Entwurf Muster fest.

Skripten

Siehe auch: Autogenerated API documentation und FreeCAD Grundlagen Skripten.

Um eine Entwurf Linie zu erstellen, verwende die Methode make_bezcurve (introduced in version 0.19) des Entwurf Moduls. Diese Methode ersetzt die veraltete Methode makeBezCurve.

bezcurve = make_bezcurve(pointslist, closed=False, placement=None, face=None, support=None, degree=None)
bezcurve = make_bezcurve(Part.Wire, closed=False, placement=None, face=None, support=None, degree=None)
  • Erstellt ein BézKurve Objekt mit vorgegebener Liste von Punkten Punkteliste.
    • Jeder Punkt in der Liste wird durch seinen FreeCAD.Vector definiert, mit Einheiten in Millimetern.
    • Alternativ kann die Eingabe auch ein Part.Wire sein, aus dem Punkte extrahiert werden.
  • Wenn closed True ist, oder wenn der erste und letzte Punkt identisch sind, ist die Kurve geschlossen.
  • Wenn Positionierung ist Keine, wird die Kurve am Ursprung erzeugt.
  • Wenn Fläche True ist, und die Kurve geschlossen ist, macht die Kurve eine Fläche, d. h. er erscheint gefüllt.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)
p4 = App.Vector(1500, -2000, 0)

bezcurve1 = Draft.make_bezcurve([p1, p2, p3, p4], closed=True)
bezcurve2 = Draft.make_bezcurve([p4, 1.3*p2, p1, 4.1*p3], closed=True)
bezcurve3 = Draft.make_bezcurve([1.7*p3, 1.5*p4, 2.1*p2, p1], closed=True)

doc.recompute()